<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd">
        
    <!-- NAVER OAuth Configuration -->
    <bean id="naverAuthVO" class="egovframework.com.ext.oauth.service.OAuthVO">
        <constructor-arg value="naver" /><!-- Service Name -->
        <constructor-arg value="EUu_FlgfyBlpQwGkXbit" /><!-- naverClientID -->
        <constructor-arg value="f34KD054kW" /><!-- naverClientSecret -->
        <constructor-arg value="https://nlib-dev.nculture.org/{callType}/{oauthServiceName}/callback.do" /><!-- naverRedirectUrl : callType(login|member) -->
    </bean>
    
	<!-- GOOGLE OAuth Configuration -->
	<bean id="googleAuthVO" class="egovframework.com.ext.oauth.service.OAuthVO">
		<constructor-arg value="google" /><!-- Service Name -->
		<constructor-arg value="590802608410-a03ul9al205h3h8rvhrlr2tulleftt0o.apps.googleusercontent.com" /><!-- googleClientID -->
		<constructor-arg value="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" /><!-- googleClientSecret -->
		<constructor-arg value="https://nlib-dev.nculture.org/{callType}/{oauthServiceName}/callback.do" /><!-- googleRedirectUrl : callType(login|member) -->
	</bean>
	
	<!-- KAKAO OAuth Configuration -->
	<bean id="kakaoAuthVO" class="egovframework.com.ext.oauth.service.OAuthVO">
		<constructor-arg value="kakao" /><!-- Service Name -->
		<constructor-arg value="9c1b2249240c011edf40a1d487702232" /><!-- kakaoClientID -->
		<constructor-arg value="fxv4i1aztudvPj84DEUvMTnzWe29611G" /><!-- kakaoClientSecret -->
		<constructor-arg value="https://nlib-dev.nculture.org/{callType}/{oauthServiceName}/callback.do" /><!-- kakaoRedirectUrl : callType(login|member) -->
	</bean>
    
</beans>
